package cz.muni.fi.pb162.school;

/**
 * Tato výjimka reprezentuje chybu při práci s katalogem studentů.
 *
 * @author Petr Adamek &lt;xadamek2@fi.muni.cz&gt;
 */
public class StudentCatalogException extends java.lang.Exception {
    
    /**
     * Vytvoří novou instanci výjimky <code>StudentCatalogException</code> 
     * bez detailní zprávy.
     */
    public StudentCatalogException() {
    }
    
    /**
     * Vytvoří novou instanci výjimky <code>StudentCatalogException</code> 
     * se zprávou <code>message</code>.
     *
     * @param message detailní zpráva o příčině výjimky
     */
    public StudentCatalogException(String message) {
        super(message);
    }
    
    /**
     * Vytvoří novou instanci výjimky <code>StudentCatalogException</code>,
     * jejíž příčinou byla výjimka <code>cause</code>.
     *
     * @param cause výjimka, která byla bezprostřední příčinou pro vyvolání této výjimky
     */
    public StudentCatalogException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Vytvoří novou instanci výjimky <code>StudentCatalogException</code> 
     * se zprávou <code>message</code>, jejíž příčinou byla výjimka 
     * <code>cause</code>.
     *
     * @param message detailní zpráva o příčině výjimky
     * @param cause výjimka, která byla bezprostřední příčinou pro vyvolání této výjimky
     */
    public StudentCatalogException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
